org.springframework.data.relational.core.dialect

## Interface ArrayColumns

All Known Implementing Classes:
  ArrayColumns.Unsupported

    public interface ArrayColumns

Interface declaring methods that express how a dialect supports array-typed columns.

Since:
  1.1
Author:
  Mark Paluch

### Nested Class Summary

Nested Classes
`static class` `ArrayColumns.Unsupported` Default `ArrayColumns` implementation for dialects that do not support array-typed columns.

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `getArrayType(Class<?> userType)` Translate the `user type` of an array into the dialect-specific type.
`boolean` `isSupported()` Returns true if the dialect supports array-typed columns.

### Method Detail

#### isSupported

    boolean isSupported()

Returns true if the dialect supports array-typed columns.

Returns:
  true if the dialect supports array-typed columns.

#### getArrayType

    Class<?> getArrayType(Class<?> userType)

Translate the `user type` of an array into the dialect-specific type. This method considers only the component type.

Parameters:
  `userType` - component type of the array.
Returns:
  the dialect-supported array type.
Throws:
  `UnsupportedOperationException` - if array typed columns are not supported.
  `IllegalArgumentException` - if the `userType` is not a supported array type.